# Set sources
set(
	SOURCES
    main.cpp
)

add_library(
	api 
    lexer.cpp
    parser.cpp
	time.cpp
	api.cpp
)

add_executable(transpiler ${SOURCES})
target_link_libraries(transpiler api)

target_compile_options(transpiler PRIVATE -Wall -Wextra -Wpedantic)

target_include_directories(transpiler PRIVATE  ${CMAKE_SOURCE_DIR}/include)
target_include_directories(api PUBLIC  ${CMAKE_SOURCE_DIR}/include)
